Package ghidra.rmi.trace

# Interface TraceRmi.RequestCreateOverlaySpaceOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestCreateOverlaySpace`, `TraceRmi.RequestCreateOverlaySpace.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestCreateOverlaySpaceOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseSpace()`
  `string baseSpace = 2;`
  `com.google.protobuf.ByteString`
  `getBaseSpaceBytes()`
  `string baseSpace = 2;`
  `String`
  `getName()`
  `string name = 3;`
  `com.google.protobuf.ByteString`
  `getNameBytes()`
  `string name = 3;`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getBaseSpace

    String getBaseSpace()
    `string baseSpace = 2;`
    Returns:
      The baseSpace.

  - ### getBaseSpaceBytes

    com.google.protobuf.ByteString getBaseSpaceBytes()
    `string baseSpace = 2;`
    Returns:
      The bytes for baseSpace.

  - ### getName

    String getName()
    `string name = 3;`
    Returns:
      The name.

  - ### getNameBytes

    com.google.protobuf.ByteString getNameBytes()
    `string name = 3;`
    Returns:
      The bytes for name.